{% extends '../sub_base.html' %}
{% block title %}Edit Details | Makeup Market{% endblock  %}
{% block sub_base_content %}
    <div class="col-6 mx-auto">
        <form class="account-form" action="{% url 'account:edit_details' %}" method="post" enctype='multipart/form-data'>
            <h3 class="mb-4">Sign In</h3>
            {% if user_form.is_valid %}
                <div class="alert alert-primary" role="alert">
                    Details updated successfully.
                </div>
                <p class="small text-center pt-0">
                    <a href="{% url 'account:dashboard' %}">Back to Dashboard</a>
                </p>
            {% else %}
                <h3>Change Details</h3>
                <p>You can edit your profile using the following form:</p>
            {% endif %}
            {% if user_form.errors %}
                <div class="alert alert-primary" role="alert">
                    Error: Please try again!
                </div>
            {% endif %}
            {% csrf_token %}
            <label class="small font-weight-bold">{{user_form.email.label}}</label>
            {{user_form.email}}
            <label class='small font-weight-bold'>{{user_form.name.label}}</label>
            {{user_form.name}}
            
            <label class='small font-weight-bold'>{{user_form.mobile.label}}</label>
            {{user_form.mobile}}
        
            <button class="btn btn-primary btn-block py-2 mb-4 mt-5 fw-bold w-100" type="submit" value="Save Changes">Save Changes</button>
            <hr class="mb-3">
        </form>
        <form class="account-form" action="{% url 'account:delete_user' %}" method="post">
            {% csrf_token %}
            <p class="h3 pt-4 font-weight-bold">Delete Account</p>
            <p>Are you sure you want to delete your account?</p>
            <button role="button" type="submit" class="btn btn-danger btn-block py-2 mb-4 mt-5 fw-bold w-100">Delete</button>
        </form>
    </div>                      
{% endblock  %}